// Copyright (c) 2022 UltiMaker, Modified by BigRep GmbH
// Cura is released under the terms of the LGPLv3 or higher.

import QtQuick 2.10
import QtQuick.Controls 2.3

import UM 1.5 as UM
import Cura 1.1 as Cura

Column
{
    spacing: UM.Theme.getSize("default_margin").width
    padding: UM.Theme.getSize("default_margin").width

    UM.Label
    {
        id: title
        anchors.horizontalCenter: parent.horizontalCenter
        text: catalog.i18nc("@label", "Sign in to CONNECT")
        font: UM.Theme.getFont("large_bold")
    }

    Image
    {
        id: machinesImage
        anchors.horizontalCenter: parent.horizontalCenter
        source: UM.Theme.getImage("logo") //todo get a welcome image
        width: parent.width / 2
        fillMode: Image.PreserveAspectFit
        horizontalAlignment: Image.AlignHCenter
        verticalAlignment: Image.AlignVCenter
    }

//    UM.Label
//    {
//        id: generalInformationPoints
//        anchors.horizontalCenter: parent.horizontalCenter
//        horizontalAlignment: Text.AlignLeft
//        text: catalog.i18nc("@text", "TODO: blade login text and blade welcom image.")
//        lineHeight: 1.4
//        wrapMode: Text.NoWrap
//    }

    Cura.PrimaryButton
    {
        anchors.horizontalCenter: parent.horizontalCenter
        width: UM.Theme.getSize("account_button").width
        height: UM.Theme.getSize("account_button").height
        text: catalog.i18nc("@button", "Sign in")
        onClicked: Cura.API.account.login()
        fixedWidthMode: true
    }

    Cura.TertiaryButton
    {
        anchors.horizontalCenter: parent.horizontalCenter
        height: UM.Theme.getSize("account_button").height
        text: catalog.i18nc("@button", "Create a free CONNECT account")
        onClicked: Qt.openUrlExternally(CuraApplication.bigrepConnectApiRootUrl)
    }
}
