// Copyright (c) 2022 UltiMaker
// Cura is released under the terms of the LGPLv3 or higher.

import QtQuick 2.11
import UM 1.5 as UM

Item
{
    id: extruderIconItem

    property bool checked: true
    property color materialColor
    property bool extruderEnabled: true
    property int iconSize: UM.Theme.getSize("extruder_icon").width
    property string iconVariant: "medium"

    property var extruderName: "ExtruderT" + index

    implicitWidth: iconSize * 0.75
    implicitHeight: iconSize * 0.7

    Item
    {
        opacity: extruderEnabled ? 1 : UM.Theme.getColor("extruder_disabled").a
        anchors.fill: parent
        layer.enabled: true // Prevent weird opacity effects.

        UM.ColorImage
        {
            anchors.fill: parent
            width: iconSize
            height: iconSize

            source: UM.Theme.getIcon(extruderName)
            color: UM.Theme.getColor("text")
        }
    }
}
