# 5.5.2

> 1.8

## Internal

- Improved build process allowing each material level to be built

# 5.5.0

- Whats new pages and changelog rendering improved
- Updated mesh files for all printers
- Better grid surface rendering

> 1.7

## Internal

- Better release procedure in readme
- Added manual jobs to build installer at different status levels
- Updated chamber temperature command for the VIIO

# 5.4.2

- Added the ability to fetch your printers from connect
- Add IPSO 105 and Altra 280

> 1.6
> 1.5

## Internal

- Automate release pipeline
- Cache in pipeline to speed up conan install step during testing
- The installers is now a manual job and allowed to fail on branches such that it can be skipped on merge requests
- Hage machine now working with ABS
- Pipeline cleanup and remove .gitlab-scripts.ps1 file
- Add plugin licenses to about page
- Change CONNECT access urls based on internal flag

# 5.4.1

- Layer renderer updated to show start point of each layer, also known as seams

## Internal

- Added final release notes from 5.4.0 release
- Duplicate pipelines on merge requests disabled
- Multiple pushes to the same branch will cancel old running jobs and leave only the newest
- Source code zipping updated

# 5.4.0

- The arcwelder plugin is now available on the VIIO (https://github.com/fieldOfView/Cura-ArcWelderPlugin v3.6.0)
- The linear advance plugin is now available in Blade (https://github.com/fieldOfView/Cura-LinearAdvanceSettingPlugin v3.6.0)
- Settings order and icons improved

> 1.4
> 1.3

## Internal

- Limited arc welder to just the viio printer

# 5.3.29

- Added sign in feature to BigRep Blade, more functionality to follow soon
- Updates switchplate images

> 1.2

## Internal

- Ultimaker web link in start bar replaced with BigRep one
- Updated to perform signing with tag 'sign'
- Better sign in user experience

# 5.3.28

- Print speed limits apply regardless of line width

## Internal

- Added prime switch plate as a variant
- Updated release procedure
- Pipeline ID is visible in splash screen and About Blade page

# 5.3.27

- Update of speed setting visibility

## Internal

- Initial working Auto-Orientation tool
- Testing of the changelog merging tool
- Fixes for pyinstaller
- Added clean_blade_appdata.ps1 to internal deployments
- Updated conan common version to include freeze tool

# 5.3.26

- Installer look and feel update
- First use pages updates

> 1.1

## Internal

- Links to blade data collection policy added: https://bigrep.com/blade/data-collection-policy
- Tagged builds now working

# 5.3.25

- Add C++ version of Auto Orientation plugin
- Theme updated
- Added materials changelog

> 1.0

# 5.3.24 - 5.3.16

- Material branding colors added to menus
- Build plate images added to machine renders on print surface change
- Gcode save name - change prefix to postfix, default none

# 5.3.15

- Install without admin permission
- Auto orientation plugin
- Login to connect from within Blade

## Internal

- Bug fixes for gcode and 3mf files
- Clean up of combo box consistency
- Removal of many lines in the recommended print surface selector

# 5.3.1 - 5.3.14

- Setting up build process
- Add per-extruder filtering of materials

## Internal

- Stabilized packaging and installer
- Add post processing from conan package
- Setting up new materials
- Bringing conan dependencies in house
- Porting UI changes
- Adding in plugins that are required for use
- Settings extraction
- Add blade specific changelog

# 5.3.0

- Update to 5.3.0

# 3.8.0

- Auto orientation plugin now operates via a tool bar
- Add Tab Anti Warping plugin (https://github.com/5axes/TabAntiWarping v1.3.0)
- Materials are now only shown if they are compatible with the current extruder
- BigRep materials now have a link to their web page
- PRO.1 and PRO.2: Added material profile: HI-TEMP

# 3.7.2

- Better error reporting
- Added 3D mouse plugin (https://github.com/smartavionics/RawMouse)
- Fixed issue with GCODE hashing
- PRO.1 and PRO.2: Improved material profile: PA12-CF
- ONE.4: Added PEX 2mm: A 2mm nozzle
- ONE.4: Improved PEX FR 0.6mm: added multiple new profiles
- ONE.4: Improved PEX FR 1mm: added multiple new profiles
- STUDIO.2: Added 1mm: Added a 1mm nozzle option for PLA, HI-TEMP and HI-TEMP-CF

# 3.6.2

- PRO.1 and PRO.2: New material profile: PA12-CF
- PRO.1 and PRO.2: Added ACE TC 0.6mm: A new Tungsten Carbide nozzle for use with PA12-CF (HMI v2.9.0 needed)

# 3.6.1

- Fix tandem mode issues with improved GCODE formatting

# 3.6.0

- Update to Cura 4.13
- Improved UI
- Exported projects now contain a thumbnail
- Improved seam placement
- Improved theme
- PRO.1: JUMPSTART Upgrade Kit support: Custom material profiles depending on the selected print surface
- PRO.1: Polyimide (not upgraded)
- PRO.1: SWITCHPLATE (after JUMPSTART upgrade)
- PRO.1: Layer height can be changed manually
- PRO.1: Improved material profile: TPU
- PRO.1: Improved material profile: PA6/66
- PRO.1: Improved profile: HI-TEMP-CF
- PRO.1: Added 0.2mm layer height for ACE 0.6mm
- PRO.2: Improved overall performance and print quality
- PRO.2: Layer height can be changed manually
- PRO.2: Improved profile: PA6/66
- PRO.2: Improved material profile: HI-TEMP-CF
- PRO.2: Added 0.2mm layer height for ACE 0.6mm
- PRO.2: Improved profile: PETG
- PRO.2: Added 0.2mm layer height for ACE 0.6mm
- PRO.2: Improved material profile: TPU

# 3.5.0

- Update to Cura 4.12
- Improved UI
- Better surfaces by using monotonic ordering
- Faster startup times
- Speed management: Speed is now calculated during the slicing process and dynamically adapted based on the (non-fixed) line width and layer height
- Speed values were replaced with upper speed limits, which do not take into account extruder flow rate limits
- Introduced the "Maximal Print Speed Estimation" which shows the maximum speed based extruder flow rate limits for fixed line width and layer height
- Fixes in mixed mode and multi layer brim
- Added: PRO.1/PRO.2 ACE 1.0/0.6 LH06: TPU and PLA
- Improved: PRO.1/PRO.2 ACE 0.6 LH03: PA6/66

# 3.4.2

- Added One.4 with following material profiles for PEX FR 1mm and PEX FR 0.6mm: Pro HT, HI-TEMP, HI-TEMP-CF, PLX, BVOH, PLA,
- PRO.2 & PRO.1: Increased minimum size of the Prime Tower
- Renamed Printer: ONEv3->ONE.3
- Renamed Printer: STUDIO G2->STUDIO.2
- Renamed Printer: PRO 1.1->PRO.1
- Activated FW 2.0 for PRO.1. A patch is not needed anymore. Though a patch is needed now for PRO.1 printers with older FW.
- All Systems: Updated BVOH for better overall performance
- PRO.1/PRO.2 ACE 1.0: Added ASA-BVOH bundle for ACE 1mm extruders for improved compatibility
- PRO.1/PRO.2 ACE 0.6: Added PA12-CF

# 3.4.1

- Fixed crashes during gcode creation

# 3.4.0

- Multilayer Brim to reduce warping: Please check setting "Brim Width" resp. "Brim Line Count"
- Added certification for easier uninstallation
- Batch-Arrangement: Optimized arrangement for better accessibility (PRO/ONE)
- Fixes for infill speed changes
- PRO ACE 1.0/LH06: HI-TEMP CF + BVOH
- ONE PowerExtruder 1mm: HI-TEMP CF LH:03,04,05,06
- ONE PowerExtruder 0.6mm: HI-TEMP CF LH:03
- STUDIO (G2): HI-TEMP-CF (Update)

# 3.3.0

- Update to Cura 4.8
- Much better object cloning
- Fixed crashes in gcode preview
- Added certification for easier installation
- Renamed PRO Early 2020 to PRO 1.1 (affects only new added printers)
- Fixed missing Tree Support
- Automatic Batch Arrangement when Auto Orientation is used, also moves models onto the bed
- Prime Tower Configurator: Set default position of the Prime Tower for the STUDIOs to the right. Increase minimum size of the Prime Tower
- Added HI-TEMP CF for ACE 0.6mm
- Added improved ASA and BVOH profiles for combined dual extrusion
- Improved PET-CF and PA666 profiles for Studio G2
