import argparse


def create_latest_json(major, minor, patch):
    latest_json = f"""
    {{
        "BigRep Blade": {{
            "Windows": {{
                "major": {major},
                "minor": {minor},
                "revision": {patch},
                "url": "https://bigrep.com/blade/releases/"
            }}
        }},
        "Blade": {{
            "Windows": {{
                "major": {major},
                "minor": {minor},
                "revision": {patch},
                "url": "https://bigrep.com/blade/releases/"
            }}
        }}
    }}
    """
    with open('latest.json', 'w') as file:
        file.write(latest_json)


if __name__ == '__main__':
    parser = argparse.ArgumentParser(
        description='Write the latest.json file')

    requiredNamed = parser.add_argument_group('Required named arguments')
    requiredNamed.add_argument("--tag", required=True)
    args = parser.parse_args()

    v = args.tag.split('.')

    create_latest_json(v[0], v[1], v[2])
